> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete artifact version

> Delete an artifact version by manifest.



## OpenAPI

````yaml /openapi.json post /api/svc/v1/artifact-versions
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: example-company.truefoundry.cloud
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: LLM Gateway Budgets
  - name: Logs
  - name: MCP Registry
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
  - name: Provider Accounts
paths:
  /api/svc/v1/artifact-versions:
    post:
      tags:
        - Artifacts
      summary: Delete artifact version
      description: Delete an artifact version by manifest.
      operationId: ArtifactVersion.deleteArtifactVersionByManifest
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteArtifactRequest'
      responses:
        '200':
          description: Empty response indicating successful deletion
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
      security:
        - jwt: []
components:
  schemas:
    DeleteArtifactRequest:
      type: object
      properties:
        manifest:
          oneOf:
            - $ref: '#/components/schemas/ArtifactManifest'
          description: Manifest identifying the artifact version to delete
      required:
        - manifest
      title: DeleteArtifactRequest
      x-fern-type-name: DeleteArtifactRequest
    EmptyResponse:
      type: object
      properties: {}
      title: EmptyResponse
      x-fern-type-name: EmptyResponse
    ArtifactManifest:
      description: Log a new Artifact Version containing files and folders with metadata
      type: object
      properties:
        type:
          description: Artifact Version
          type: string
          enum:
            - artifact-version
          default: artifact-version
        description:
          description: Description
          type: string
          maxLength: 512
          nullable: true
        version_alias:
          description: >-
            Version alias is alternate, ideally human readable, version string
            to reference an artifact version. It should start with `v` followed
            by alphanumeric and it can include `.` and `-` in between (e.g.
            `v1.0.0`, `v1-prod`, `v3-dev`, etc)
          type: string
          maxLength: 128
          pattern: ^v[a-zA-Z0-9.-]*([a-zA-Z0-9]+)$
        source:
          description: Artifact Source
          type: object
          oneOf:
            - $ref: '#/components/schemas/TrueFoundryManagedSource'
            - $ref: '#/components/schemas/ExternalBlobStorageSource'
            - $ref: '#/components/schemas/LocalArtifactSource'
          discriminator:
            propertyName: type
        step:
          description: >-
            Step/Epoch number in an iterative training loop the artifact version
            was created. Generally useful when logging a model version from a
            MLRepo Run
          type: integer
          minimum: 0
          default: 0
        run_id:
          description: ID of the MLRepo Run that generated the artifact version
          type: string
      allOf:
        - $ref: '#/components/schemas/BaseArtifactVersion'
      required:
        - type
        - source
        - step
      title: ArtifactManifest
      x-fern-type-name: ArtifactManifest
    TrueFoundryManagedSource:
      description: TrueFoundry Managed Source
      type: object
      required:
        - type
      properties:
        type:
          description: Type of the source
          type: string
          enum:
            - truefoundry
          default: truefoundry
        uri:
          description: URI
          type: string
          pattern: ^(s3|gs|wasbs)://.*
      title: TrueFoundryManagedSource
      x-fern-type-name: TrueFoundryManagedSource
    ExternalBlobStorageSource:
      description: External Blob Storage Source
      type: object
      required:
        - type
        - uri
      properties:
        type:
          description: Type of the source
          type: string
          enum:
            - external
          default: external
        uri:
          description: >-
            URI referencing a path in the blob storage bucket linked to the
            MLRepo
          type: string
          pattern: ^(s3|gs|wasbs)://.*
      title: ExternalBlobStorageSource
      x-fern-type-name: ExternalBlobStorageSource
    LocalArtifactSource:
      type: object
      required:
        - type
        - paths
      properties:
        type:
          description: Type of the source
          type: string
          enum:
            - local
          default: local
        paths:
          description: >-
            Array of ArtifactPath objects representing the source and
            destination paths
          type: array
          items:
            $ref: '#/components/schemas/ArtifactPath'
      title: LocalArtifactSource
      x-fern-type-name: LocalArtifactSource
    BaseArtifactVersion:
      type: object
      required:
        - metadata
      properties:
        name:
          description: Name of the entity
          type: string
          maxLength: 256
          pattern: ^[A-Za-z0-9_\-]+$
        metadata:
          description: >-
            Key value metadata. Should be valid JSON. For e.g.
            `{"business-unit": "sales", "quality": "good", "rating": 4.5}`
          type: object
        ml_repo:
          description: Name of the ML Repo
          type: string
          pattern: ^[a-zA-Z][a-zA-Z0-9\-]{1,98}[a-zA-Z0-9]$
        version:
          description: Version of the entity
          type: integer
          minimum: 1
      title: BaseArtifactVersion
      x-fern-type-name: BaseArtifactVersion
    ArtifactPath:
      type: object
      required:
        - src
      properties:
        src:
          description: Local file or folder path
          type: string
        dest:
          description: >-
            Relative path where the file or folder will be uploaded to in the
            artifact
          type: string
      title: ArtifactPath
      x-fern-type-name: ArtifactPath
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````